[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DrawButtonCell

Draws a cell in a button-style column.

## Declaration

Source position: grids.pas line 1063

`protected procedure TCustomGrid.DrawButtonCell(`
`const aCol: Integer;`
`const aRow: Integer;`
`aRect: TRect;`
`const aState: TGridDrawState`
`);`

## Arguments

`aCol` |  | Column number for the button cell.
`aRow` |  | Row number for the button cell.
`aRect` |  | Rectangle with the bounds where the button is drawn.
`aState` |  | Drawing state for the button cell; pushed, hot, or normal.

## Description

DrawButtonCell is a method used to draw a cell which appears in a button-style column. DrawButtonCell uses ThemeServices to get the theme element details used to render the button for the cell.

AState contains the drawing state for the button, and determines the theme element details used for the drawing state. The ThemeServices.DrawElement method is called to render the button on the control Canvas at the location specified in ARect.

DrawButtonCell is called from DefaultDrawCell when the column has a button-style definition.